Jump to content
  • 0

Errors on libs kde and zope-interface


freakshaman
 Share

Question

First, sorry for bad english!

 

Second, i starting on funtoo in the last month i migrated of debian for FUNTOO....

 

 

I have instaled funtoo hardened sources but on the last emerge -uD @world, one problem is starting....

 

 

emerge --update --newuse --deep --with-bdeps=y @world
 
[ebuild     U  ] x11-libs/gtk+-3.16.7 [3.14.10]
[ebuild     U  ] x11-libs/gtksourceview-2.10.5-r3 [2.10.5-r2]
[ebuild     U  ] net-analyzer/wireshark-1.12.8 [1.12.7]
[ebuild     U  ] dev-python/twisted-core-15.2.1 [13.2.0-r1000] USE="{-test%}" PYTHON_TARGETS="python2_7%*"
[ebuild   R    ] x11-libs/vte-0.28.2-r207  PYTHON_ABIS="(-2.6%) (-2.7%*)" PYTHON_TARGETS="python2_7%*"
[ebuild     U  ] dev-python/twisted-web-15.2.1 [13.2.0-r1000] PYTHON_TARGETS="python2_7%*"
[ebuild     U  ] media-video/ffmpeg-2.8.1 [2.8-r1]
[ebuild     U  ] net-libs/libsoup-2.50.0 [2.48.1]
[ebuild   R    ] net-misc/networkmanager-1.0.2  USE="ncurses*"
[ebuild     U  ] app-text/evince-3.16.1 [3.14.2-r1]
[ebuild     U  ] www-client/firefox-41.0.1 [41.0-r1]
[ebuild   R    ] xfce-extra/tumbler-0.1.31-r1  USE="-ffmpeg* -pdf* -raw*"
[ebuild   R    ] app-crypt/pinentry-0.9.6-r5  USE="ncurses*"
[ebuild     U  ] dev-vcs/git-2.6.1-r2 [2.6.0-r1]
[ebuild  N     ] kde-apps/kde4-l10n-15.08.0-r1  USE="(-aqua) -handbook -minimal" LINGUAS="pt_BR -ar -bg -bs -ca -ca@valencia -cs -da -de -el -en_GB -eo -es -et -eu -fa -fi -fr -ga -gl -he -hi -hr -hu -ia -id -is -it -ja -kk -km -ko -lt -lv -mr -nb -nds -nl -nn -pa -pl -pt -ro -ru -sk -sl -sr -sv -tr -ug -uk -wa -zh_CN -zh_TW"
[ebuild  N     ] sys-auth/polkit-kde-agent-0.99.1-r1  USE="(-aqua) -debug -minimal" LINGUAS="pt_BR -ar -bs -ca -ca@valencia -cs -da -de -el -en_GB -eo -es -et -fi -fr -ga -gl -hr -hu -is -it -ja -kk -km -lt -mai -mr -ms -nb -nds -nl -pa -pl -pt -ro -ru -sk -sl -sr -sr@ijekavian -sr@ijekavianlatin -sr@latin -sv -th -tr -ug -uk -vi -zh_CN -zh_TW"
[uninstall     ] kde-frameworks/kglobalaccel-5.13.0
[uninstall     ] kde-frameworks/kcompletion-5.13.0
[uninstall     ] kde-frameworks/kparts-5.13.0
[uninstall     ] kde-frameworks/kwallet-5.13.0-r1
[uninstall     ] kde-frameworks/kio-5.13.0
[uninstall     ] kde-frameworks/kxmlgui-5.13.0
[uninstall     ] kde-frameworks/ktextwidgets-5.13.0
[uninstall     ] kde-frameworks/kiconthemes-5.13.0
[uninstall     ] kde-frameworks/kinit-5.13.0
[uninstall     ] kde-frameworks/kdesignerplugin-5.13.0
[uninstall     ] kde-frameworks/kservice-5.13.0
[uninstall     ] kde-frameworks/kconfigwidgets-5.13.0
[uninstall     ] kde-frameworks/kcodecs-5.13.0
[uninstall     ] kde-frameworks/kded-5.13.0
[uninstall     ] kde-frameworks/kemoticons-5.13.0
[uninstall     ] kde-frameworks/kconfig-5.13.0
[uninstall     ] kde-frameworks/knotifyconfig-5.13.0
[uninstall     ] kde-frameworks/kbookmarks-5.13.0
[uninstall     ] kde-frameworks/knotifications-5.13.0
[blocks B      ] kde-apps/kde4-l10n[-minimal(-)] ("kde-apps/kde4-l10n[-minimal(-)]" is blocking kde-frameworks/ktextwidgets-5.13.0, kde-frameworks/kwidgetsaddons-5.13.0, kde-frameworks/kwallet-5.13.0-r1, kde-frameworks/kservice-5.13.0, kde-frameworks/kdesignerplugin-5.13.0, kde-frameworks/kxmlgui-5.13.0, kde-frameworks/knotifications-5.13.0, kde-frameworks/kio-5.13.0, kde-frameworks/kiconthemes-5.13.0, kde-frameworks/kparts-5.13.0, kde-frameworks/kded-5.13.0, kde-frameworks/kinit-5.13.0, kde-frameworks/kcompletion-5.13.0, kde-frameworks/kemoticons-5.13.0, kde-frameworks/kcrash-5.13.0, kde-frameworks/kconfigwidgets-5.13.0, kde-frameworks/kconfig-5.13.0, kde-frameworks/kbookmarks-5.13.0, kde-frameworks/kglobalaccel-5.13.0, kde-frameworks/knotifyconfig-5.13.0, kde-frameworks/kwindowsystem-5.13.0, kde-frameworks/kcodecs-5.13.0, kde-frameworks/kguiaddons-5.13.0, kde-frameworks/kcoreaddons-5.13.0)

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-libs/boost:0

  (dev-libs/boost-1.57.0:0/1.57.0::gentoo, installed) pulled in by
    >=dev-libs/boost-1.51.0:0/1.57.0= required by (dev-libs/liborcus-0.7.1:0/0::gentoo, installed)
                           ^^^^^^^^^^
    (and 8 more with the same problem)

  (dev-libs/boost-1.56.0-r1:0/1.56.0::gentoo, ebuild scheduled for merge) pulled in by
    dev-libs/boost:0/1.56.0= required by (app-text/libebook-0.1.2:0/0::gentoo, installed)
                  ^^^^^^^^^^
    (and 1 more with the same problem)

dev-util/boost-build:0

  (dev-util/boost-build-1.57.0:0/0::gentoo, installed) pulled in by
    =dev-util/boost-build-1.57* required by (dev-libs/boost-1.57.0:0/1.57.0::gentoo, installed)
    ^                     ^^^^^

  (dev-util/boost-build-1.56.0:0/0::gentoo, ebuild scheduled for merge) pulled in by
    =dev-util/boost-build-1.56* required by (dev-libs/boost-1.56.0-r1:0/1.56.0::gentoo, ebuild scheduled for merge)
    ^                     ^^^^^


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously. You may want to try a larger value of
the --backtrack option, such as --backtrack=30, in order to see if
that will solve this conflict automatically.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.


 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (kde-frameworks/kwidgetsaddons-5.13.0:5/5.13::gentoo, installed) pulled in by
    kde-frameworks/kwidgetsaddons required by @selected

  (kde-frameworks/kguiaddons-5.13.0:5/5.13::gentoo, installed) pulled in by
    kde-frameworks/kguiaddons:5 required by (lxqt-base/lxqt-panel-0.9.0:0/0::gentoo, installed)
    kde-frameworks/kguiaddons required by @selected

  (kde-frameworks/kwindowsystem-5.13.0:5/5.13::gentoo, installed) pulled in by
    kde-frameworks/kwindowsystem:5[X] required by (lxqt-base/lxqt-panel-0.9.0:0/0::gentoo, installed)
    kde-frameworks/kwindowsystem:5 required by (lxqt-base/lxqt-runner-0.9.0:0/0::gentoo, installed)
    kde-frameworks/kwindowsystem:5[X] required by (lxqt-base/lxqt-session-0.9.0-r1:0/0::gentoo, installed)
    kde-frameworks/kwindowsystem:5 required by (lxqt-base/lxqt-admin-0.9.0:0/0::gentoo, installed)
    kde-frameworks/kwindowsystem required by @selected
    kde-frameworks/kwindowsystem:5 required by (lxqt-base/lxqt-config-0.9.0:0/0::gentoo, installed)
    kde-frameworks/kwindowsystem:5 required by (lxqt-base/liblxqt-0.9.0:0/0::gentoo, installed)
    kde-frameworks/kwindowsystem:5 required by (lxqt-base/lxqt-notificationd-0.9.0-r1:0/0::gentoo, installed)
    >=kde-frameworks/kwindowsystem-5.13 required by (kde-frameworks/kcrash-5.13.0:5/5.13::gentoo, installed)

  (kde-frameworks/kcrash-5.13.0:5/5.13::gentoo, installed) pulled in by
    kde-frameworks/kcrash required by @selected

  (kde-apps/kde4-l10n-15.08.0-r1:4/15.08::gentoo, ebuild scheduled for merge) pulled in by
    >=kde-apps/kde4-l10n-4.4:4[aqua=,linguas_pt_BR(+)] (>=kde-apps/kde4-l10n-4.4:4[-aqua,linguas_pt_BR(+)]) required by (sys-auth/polkit-kde-agent-0.99.1-r1:4/4::gentoo, ebuild scheduled for merge)

  (kde-frameworks/kcoreaddons-5.13.0:5/5.13::gentoo, installed) pulled in by
    kde-frameworks/kcoreaddons required by @selected
    >=kde-frameworks/kcoreaddons-5.13 required by (kde-frameworks/kcrash-5.13.0:5/5.13::gentoo, installed)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

https://wiki.gentoo.org/wiki/Handbook:X86/Working/Portage#Blocked_packages

emerge -uD @world


>>> Installing (1 of 43) dev-python/zope-interface-4.1.2::gentoo
 * This package will overwrite one or more files that may belong to other
 * packages (see list below). You can use a command such as `portageq
 * owners / <filename>` to identify the installed package that owns a
 * file. If portageq reports that only one package owns a file then do
 * NOT file a bug report. A bug report is only useful if it identifies at
 * least two or more packages that are known to install the same file(s).
 * If a collision occurs and you can not explain where the file came from
 * then you should simply ignore the collision since there is not enough
 * information to determine if a real problem exists. Please do NOT file
 * a bug report at http://bugs.gentoo.org unless you report exactly which
 * two packages install the same file(s). See
 * http://wiki.gentoo.org/wiki/Knowledge_Base:Blockers for tips on how to
 * solve the problem. And once again, please do NOT file a bug report
 * unless you have completely understood the above message.
 *
 * Detected file collision(s):
 *
 *      /usr/lib64/python3.3/site-packages/zope/interface/interfaces.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/declarations.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/ro.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/registry.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/interface.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/advice.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/__init__.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/adapter.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/exceptions.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/document.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/verify.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/_compat.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/_zope_interface_coptimizations.cpython-33.so
 *      /usr/lib64/python3.3/site-packages/zope/interface/_flatten.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/odd.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/test_exceptions.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/test_interfaces.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/m1.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/test_interface.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/idummy.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/m2.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/ifoo_other.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/test_declarations.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/test_element.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/dummy.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/test_sorting.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/__init__.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/test_odd_declarations.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/test_verify.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/test_adapter.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/test_document.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/advisory_testing.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/test_ro.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/test_registry.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/ifoo.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/test_advice.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/common/idatetime.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/common/interfaces.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/common/sequence.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/common/mapping.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/common/__init__.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/common/tests/test_idatetime.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/common/tests/__init__.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/common/tests/basemapping.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/common/tests/test_import_interfaces.py
 *      /usr/lib64/python3.3/site-packages/zope.interface-4.1.2-py3.3.egg-info/PKG-INFO
 *      /usr/lib64/python3.3/site-packages/zope.interface-4.1.2-py3.3.egg-info/top_level.txt
 *      /usr/lib64/python3.3/site-packages/zope.interface-4.1.2-py3.3.egg-info/not-zip-safe
 *      /usr/lib64/python3.3/site-packages/zope.interface-4.1.2-py3.3.egg-info/namespace_packages.txt
 *      /usr/lib64/python3.3/site-packages/zope.interface-4.1.2-py3.3.egg-info/requires.txt
 *      /usr/lib64/python3.3/site-packages/zope.interface-4.1.2-py3.3.egg-info/dependency_links.txt
 *      /usr/lib64/python3.3/site-packages/zope.interface-4.1.2-py3.3.egg-info/SOURCES.txt
 *      /usr/lib64/python2.7/site-packages/zope/interface/interfaces.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/declarations.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/_zope_interface_coptimizations.so
 *      /usr/lib64/python2.7/site-packages/zope/interface/ro.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/registry.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/interface.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/advice.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/__init__.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/adapter.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/exceptions.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/document.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/verify.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/_compat.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/_flatten.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/odd.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/test_exceptions.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/test_interfaces.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/m1.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/test_interface.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/idummy.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/m2.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/ifoo_other.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/test_declarations.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/test_element.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/dummy.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/test_sorting.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/__init__.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/test_odd_declarations.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/test_verify.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/test_adapter.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/test_document.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/advisory_testing.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/test_ro.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/test_registry.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/ifoo.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/test_advice.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/common/idatetime.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/common/interfaces.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/common/sequence.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/common/mapping.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/common/__init__.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/common/tests/test_idatetime.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/common/tests/__init__.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/common/tests/basemapping.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/common/tests/test_import_interfaces.py
 *      /usr/lib64/python2.7/site-packages/zope.interface-4.1.2-py2.7.egg-info/PKG-INFO
 *      /usr/lib64/python2.7/site-packages/zope.interface-4.1.2-py2.7.egg-info/top_level.txt
 *      /usr/lib64/python2.7/site-packages/zope.interface-4.1.2-py2.7.egg-info/not-zip-safe
 *      /usr/lib64/python2.7/site-packages/zope.interface-4.1.2-py2.7.egg-info/namespace_packages.txt
 *      /usr/lib64/python2.7/site-packages/zope.interface-4.1.2-py2.7.egg-info/requires.txt
 *      /usr/lib64/python2.7/site-packages/zope.interface-4.1.2-py2.7.egg-info/dependency_links.txt
 *      /usr/lib64/python2.7/site-packages/zope.interface-4.1.2-py2.7.egg-info/SOURCES.txt
 *
 * Searching all installed packages for file collisions...
 *
 * Press Ctrl-C to Stop
 *
 * net-zope/zope.interface-4.1.2:0::gentoo
 *      /usr/lib64/python3.3/site-packages/zope/interface/__init__.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/_compat.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/_flatten.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/_zope_interface_coptimizations.cpython-33.so
 *      /usr/lib64/python3.3/site-packages/zope/interface/adapter.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/advice.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/declarations.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/document.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/exceptions.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/interface.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/interfaces.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/registry.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/ro.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/idummy.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/m1.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/odd.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/test_exceptions.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/test_interface.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/test_interfaces.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/verify.py
 *
 * Package 'dev-python/zope-interface-4.1.2' NOT merged due to file
 * collisions. If necessary, refer to your elog messages for the whole
 * content of the above message.

>>> Failed to install dev-python/zope-interface-4.1.2, Log file:

>>>  '/var/log/portage/dev-python:zope-interface-4.1.2:20151016-165737.log'

 * Messages for package dev-python/zope-interface-4.1.2:

 * This package will overwrite one or more files that may belong to other
 * packages (see list below). You can use a command such as `portageq
 * owners / <filename>` to identify the installed package that owns a
 * file. If portageq reports that only one package owns a file then do
 * NOT file a bug report. A bug report is only useful if it identifies at
 * least two or more packages that are known to install the same file(s).
 * If a collision occurs and you can not explain where the file came from
 * then you should simply ignore the collision since there is not enough
 * information to determine if a real problem exists. Please do NOT file
 * a bug report at http://bugs.gentoo.org unless you report exactly which
 * two packages install the same file(s). See
 * http://wiki.gentoo.org/wiki/Knowledge_Base:Blockers for tips on how to
 * solve the problem. And once again, please do NOT file a bug report
 * unless you have completely understood the above message.
 *
 * Detected file collision(s):
 *
 *      /usr/lib64/python3.3/site-packages/zope/interface/interfaces.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/declarations.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/ro.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/registry.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/interface.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/advice.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/__init__.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/adapter.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/exceptions.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/document.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/verify.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/_compat.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/_zope_interface_coptimizations.cpython-33.so
 *      /usr/lib64/python3.3/site-packages/zope/interface/_flatten.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/odd.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/test_exceptions.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/test_interfaces.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/m1.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/test_interface.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/idummy.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/m2.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/ifoo_other.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/test_declarations.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/test_element.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/dummy.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/test_sorting.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/__init__.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/test_odd_declarations.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/test_verify.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/test_adapter.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/test_document.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/advisory_testing.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/test_ro.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/test_registry.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/ifoo.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/test_advice.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/common/idatetime.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/common/interfaces.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/common/sequence.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/common/mapping.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/common/__init__.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/common/tests/test_idatetime.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/common/tests/__init__.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/common/tests/basemapping.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/common/tests/test_import_interfaces.py
 *      /usr/lib64/python3.3/site-packages/zope.interface-4.1.2-py3.3.egg-info/PKG-INFO
 *      /usr/lib64/python3.3/site-packages/zope.interface-4.1.2-py3.3.egg-info/top_level.txt
 *      /usr/lib64/python3.3/site-packages/zope.interface-4.1.2-py3.3.egg-info/not-zip-safe
 *      /usr/lib64/python3.3/site-packages/zope.interface-4.1.2-py3.3.egg-info/namespace_packages.txt
 *      /usr/lib64/python3.3/site-packages/zope.interface-4.1.2-py3.3.egg-info/requires.txt
 *      /usr/lib64/python3.3/site-packages/zope.interface-4.1.2-py3.3.egg-info/dependency_links.txt
 *      /usr/lib64/python3.3/site-packages/zope.interface-4.1.2-py3.3.egg-info/SOURCES.txt
 *      /usr/lib64/python2.7/site-packages/zope/interface/interfaces.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/declarations.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/_zope_interface_coptimizations.so
 *      /usr/lib64/python2.7/site-packages/zope/interface/ro.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/registry.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/interface.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/advice.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/__init__.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/adapter.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/exceptions.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/document.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/verify.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/_compat.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/_flatten.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/odd.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/test_exceptions.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/test_interfaces.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/m1.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/test_interface.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/idummy.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/m2.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/ifoo_other.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/test_declarations.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/test_element.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/dummy.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/test_sorting.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/__init__.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/test_odd_declarations.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/test_verify.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/test_adapter.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/test_document.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/advisory_testing.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/test_ro.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/test_registry.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/ifoo.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/tests/test_advice.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/common/idatetime.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/common/interfaces.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/common/sequence.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/common/mapping.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/common/__init__.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/common/tests/test_idatetime.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/common/tests/__init__.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/common/tests/basemapping.py
 *      /usr/lib64/python2.7/site-packages/zope/interface/common/tests/test_import_interfaces.py
 *      /usr/lib64/python2.7/site-packages/zope.interface-4.1.2-py2.7.egg-info/PKG-INFO
 *      /usr/lib64/python2.7/site-packages/zope.interface-4.1.2-py2.7.egg-info/top_level.txt
 *      /usr/lib64/python2.7/site-packages/zope.interface-4.1.2-py2.7.egg-info/not-zip-safe
 *      /usr/lib64/python2.7/site-packages/zope.interface-4.1.2-py2.7.egg-info/namespace_packages.txt
 *      /usr/lib64/python2.7/site-packages/zope.interface-4.1.2-py2.7.egg-info/requires.txt
 *      /usr/lib64/python2.7/site-packages/zope.interface-4.1.2-py2.7.egg-info/dependency_links.txt
 *      /usr/lib64/python2.7/site-packages/zope.interface-4.1.2-py2.7.egg-info/SOURCES.txt
 *
 * Searching all installed packages for file collisions...
 *
 * Press Ctrl-C to Stop
 *
 * net-zope/zope.interface-4.1.2:0::gentoo
 *      /usr/lib64/python3.3/site-packages/zope/interface/__init__.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/_compat.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/_flatten.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/_zope_interface_coptimizations.cpython-33.so
 *      /usr/lib64/python3.3/site-packages/zope/interface/adapter.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/advice.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/declarations.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/document.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/exceptions.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/interface.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/interfaces.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/registry.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/ro.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/idummy.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/m1.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/odd.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/test_exceptions.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/test_interface.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/tests/test_interfaces.py
 *      /usr/lib64/python3.3/site-packages/zope/interface/verify.py
 *
 * Package 'dev-python/zope-interface-4.1.2' NOT merged due to file
 * collisions. If necessary, refer to your elog messages for the whole
 * content of the above message.

 * GNU info directory index is up-to-date.
 * After world updates, it is important to remove obsolete packages with
 * emerge --depclean. Refer to `man emerge` for more information.

So wtf is going on? sorry for the n00b!

 

Thanks for helping-me!

 

 

Link to comment
Share on other sites

2 answers to this question

Recommended Posts

  • 0

Now another error but i don't touch to resolve.

 

 emerge -uD @world
Calculating dependencies... done!
 
emerge: there are no ebuilds to satisfy ">=kde-frameworks/extra-cmake-modules-5.14.0:5".
(dependency required by "kde-plasma/polkit-kde-agent-5.4.0::gentoo" [ebuild])
(dependency required by "kde-frameworks/kauth-5.13.0::gentoo[policykit]" [installed])
(dependency required by "kde-frameworks/kconfigwidgets-5.13.0::gentoo" [installed])
(dependency required by "kde-frameworks/ktextwidgets-5.13.0::gentoo" [installed])
(dependency required by "kde-frameworks/kio-5.13.0::gentoo" [installed])
(dependency required by "kde-frameworks/knotifyconfig-5.13.0::gentoo" [installed])
(dependency required by "@selected" [set])
(dependency required by "@world" [argument])
Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...